Skip to main content
GET
/
public
/
calls
Find calls
curl --request GET \
  --url https://web-api.clerk.chat/public/calls \
  --header 'apiKey: <api-key>'
{
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "conversationId": "00000000-0000-0000-0000-000000000000",
      "userId": "00000000-0000-0000-0000-000000000000",
      "callerNumber": "+14155550123",
      "direction": "inbound",
      "callStatus": "completed",
      "callStatusReason": "hangup_participant",
      "callStartTime": "2021-01-01T00:00:00.000Z",
      "callEndTime": "2021-01-01T00:05:00.000Z",
      "summary": "<string>",
      "createdAt": "2021-01-01T00:00:00.000Z",
      "updatedAt": "2021-01-01T00:00:00.000Z"
    }
  ],
  "total": 1,
  "links": {
    "next": "<string>",
    "prev": "<string>",
    "self": "<string>"
  }
}

Authorizations

apiKey
string
header
required

Query Parameters

callerNumber
string

Filter calls by the phone number that initiated the call

inboxId
string

Filter calls by the inbox they belong to

status
enum<string>[]

Filter calls by one or more statuses

The status of the call

Available options:
busy,
cancelled,
completed,
failed,
in_progress,
no_answer,
queued
direction
enum<string>

Filter calls by direction Whether the call was inbound or outbound

Available options:
inbound,
outbound
start
string<date-time>

Only calls that started after this date until the end date or now

end
string<date-time>

Only calls that started up to this date

limit
number

Number of items to return (max 50)

page
number

Page number

Response

A paginated list of calls

data
object[]
required
total
number
required

The total number of calls

Example:

1